de.esprit.netsuite.server.perm

## Class PermissionEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.perm.PermissionEntry

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<PermissionEntry>

      public final class PermissionEntry
      extends TransferableObject
      implements java.lang.Comparable<PermissionEntry>

  This class defines a user or group permission. A permission is a particular action, that can be done on a particular object by a particular user/group.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionEntry(java.lang.String userOrGroupName, PermissionDefinition permDef, UserPermission action)`
    `PermissionEntry(java.lang.String userOrGroupName, java.lang.String objectCode, java.lang.String actionCode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PermissionEntry other)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getActionCode()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getObjectCode()`
    `boolean` | `matches(java.lang.String userName, java.lang.String objectCode, java.lang.String actionCode)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionEntry

          public PermissionEntry(java.lang.String userOrGroupName,
                         PermissionDefinition permDef,
                         UserPermission action)

    - #### PermissionEntry

          public PermissionEntry(java.lang.String userOrGroupName,
                         java.lang.String objectCode,
                         java.lang.String actionCode)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getObjectCode

          public java.lang.String getObjectCode()

    - #### getActionCode

          public java.lang.String getActionCode()

    - #### matches

          public boolean matches(java.lang.String userName,
                        java.lang.String objectCode,
                        java.lang.String actionCode)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(PermissionEntry other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<PermissionEntry>`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.